Console Output

Started by upstream project "CE_RM_turbofan_Push" build number 346
originally caused by:
 Started by GitHub push by 1ozturkbe
Running as SYSTEM
[EnvInject] - Loading node environment variables.
Building remotely on windows10x64 in workspace C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt
No credentials specified
Wiping out workspace first.
Cloning the remote Git repository
Cloning repository https://github.com/convexengineering/turbofan
 > C:\Program Files\Git\cmd\git init C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt # timeout=10
Fetching upstream changes from https://github.com/convexengineering/turbofan
 > C:\Program Files\Git\cmd\git --version # timeout=10
 > C:\Program Files\Git\cmd\git fetch --tags --progress -- https://github.com/convexengineering/turbofan +refs/heads/*:refs/remotes/origin/* # timeout=10
 > C:\Program Files\Git\cmd\git config remote.origin.url https://github.com/convexengineering/turbofan # timeout=10
 > C:\Program Files\Git\cmd\git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
 > C:\Program Files\Git\cmd\git config remote.origin.url https://github.com/convexengineering/turbofan # timeout=10
Fetching upstream changes from https://github.com/convexengineering/turbofan
 > C:\Program Files\Git\cmd\git fetch --tags --progress -- https://github.com/convexengineering/turbofan +refs/heads/*:refs/remotes/origin/* # timeout=10
Checking out Revision 4ebac5743e608d110117dc34537add84f63ccd19 (refs/remotes/origin/master)
 > C:\Program Files\Git\cmd\git config core.sparsecheckout # timeout=10
 > C:\Program Files\Git\cmd\git checkout -f 4ebac5743e608d110117dc34537add84f63ccd19 # timeout=3
Commit message: "Update build icon."
 > C:\Program Files\Git\cmd\git rev-list --no-walk 46bd8638ae273da9f97e8578ed4ebcc511d756b9 # timeout=10
Run condition [Execution node ] enabling prebuild for step [Execute shell]
Run condition [Execution node ] enabling prebuild for step [Execute Windows batch command]
[Execution node] check if [windows10x64] is in [[macys, macys_VM, reynolds, reynolds-ubuntu16]]
Run condition [Execution node ] preventing perform for step [Execute shell]
[Execution node] check if [windows10x64] is in [[windows10x64, windows7x64]]
Run condition [Execution node ] enabling perform for step [Execute Windows batch command]
[cvxopt] $ cmd /c call C:\Users\jenkins\AppData\Local\Temp\jenkins141176060782163181.bat

C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>echo C:\Program Files (x86)\Common Files\Oracle\Java\javapath;C:\ProgramData\Oracle\Java\javapath;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0\;C:\Anaconda2;C:\Anaconda2\Scripts;C:\Anaconda2\Library\bin;C:\Program Files\Mosek\8\tools\platform\win64x86\bin;C:\Program Files (x86)\Intel\Compiler\Fortran\9.1\EM64T\Bin;C:\WINDOWS\System32\OpenSSH\;C:\Program Files\Git\bin;C:\Program Files\TortoiseSVN\bin;C:\Program Files\Mosek\9.1\tools\platform\win64x86\bin;C:\Users\jenkins\AppData\Local\Microsoft\WindowsApps 
C:\Program Files (x86)\Common Files\Oracle\Java\javapath;C:\ProgramData\Oracle\Java\javapath;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0\;C:\Anaconda2;C:\Anaconda2\Scripts;C:\Anaconda2\Library\bin;C:\Program Files\Mosek\8\tools\platform\win64x86\bin;C:\Program Files (x86)\Intel\Compiler\Fortran\9.1\EM64T\Bin;C:\WINDOWS\System32\OpenSSH\;C:\Program Files\Git\bin;C:\Program Files\TortoiseSVN\bin;C:\Program Files\Mosek\9.1\tools\platform\win64x86\bin;C:\Users\jenkins\AppData\Local\Microsoft\WindowsApps

C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>REM turn on the anaconda console 

C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>call activate.bat 

(base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>if 0 NEQ 0 goto activate_conda 

(base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>REM Create a virtualenv to install everything into 

(base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>set VENV=C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt\venv2_gpkit 

(base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>virtualenv --system-site-packages C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt\venv2_gpkit    || exit /b 666 
New python executable in C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt\venv2_gpkit\Scripts\python.exe
Installing setuptools, pip, wheel...done.

(base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>call C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt\venv2_gpkit\Scripts\activate.bat   || exit /b 666 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>set PATH=C:\mingw-w64\x86_64-6.4.0-posix-seh-rt_v5-rev0\mingw64\bin;C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt\venv2_gpkit\Scripts;C:\Anaconda2;C:\Anaconda2\Library\mingw-w64\bin;C:\Anaconda2\Library\usr\bin;C:\Anaconda2\Library\bin;C:\Anaconda2\Scripts;C:\Anaconda2\bin;C:\Anaconda2\condabin;C:\Program Files (x86)\Common Files\Oracle\Java\javapath;C:\ProgramData\Oracle\Java\javapath;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0;C:\Anaconda2;C:\Anaconda2\Scripts;C:\Anaconda2\Library\bin;C:\Program Files\Mosek\8\tools\platform\win64x86\bin;C:\Program Files (x86)\Intel\Compiler\Fortran\9.1\EM64T\Bin;C:\WINDOWS\System32\OpenSSH;C:\Program Files\Git\bin;C:\Program Files\TortoiseSVN\bin;C:\Program Files\Mosek\9.1\tools\platform\win64x86\bin;C:\Users\jenkins\AppData\Local\Microsoft\WindowsApps 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>REM set PATH=C:\mingw-w64\x86_64-7.3.0-posix-seh-rt_v5-rev0\mingw64\bin;C:\mingw-w64\x86_64-6.4.0-posix-seh-rt_v5-rev0\mingw64\bin;C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt\venv2_gpkit\Scripts;C:\Anaconda2;C:\Anaconda2\Library\mingw-w64\bin;C:\Anaconda2\Library\usr\bin;C:\Anaconda2\Library\bin;C:\Anaconda2\Scripts;C:\Anaconda2\bin;C:\Anaconda2\condabin;C:\Program Files (x86)\Common Files\Oracle\Java\javapath;C:\ProgramData\Oracle\Java\javapath;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0;C:\Anaconda2;C:\Anaconda2\Scripts;C:\Anaconda2\Library\bin;C:\Program Files\Mosek\8\tools\platform\win64x86\bin;C:\Program Files (x86)\Intel\Compiler\Fortran\9.1\EM64T\Bin;C:\WINDOWS\System32\OpenSSH;C:\Program Files\Git\bin;C:\Program Files\TortoiseSVN\bin;C:\Program Files\Mosek\9.1\tools\platform\win64x86\bin;C:\Users\jenkins\AppData\Local\Microsoft\WindowsApps 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>gcc --version   || exit /b 666 
gcc (x86_64-posix-seh-rev0, Built by MinGW-W64 project) 6.4.0
Copyright (C) 2017 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>REM upgrade pip 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>python -m pip install --upgrade pip   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: pip in c:\users\jenkins\workspace\ce_rm_turbofan_push\cvxopt\venv2_gpkit\lib\site-packages (20.0.2)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>REM Install coverage into the virtualenv to the coverage command blow uses the virtualenv python 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>pip install --upgrade coverage   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: coverage in c:\anaconda2\lib\site-packages (5.0.3)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>set GPKITBUILD=C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt\build_gpkit 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>if cvxopt == mosek (
msktestlic   || exit /b 666  
 python -c "__import__('mosek').Env()"   || exit /b 666  
 set GPKITSOLVERS=mosek, mosek_cli 
) 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>if cvxopt == cvxopt (
pip install --upgrade cvxopt   || exit /b 666  
 set GPKITSOLVERS=cvxopt 
) 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: cvxopt in c:\anaconda2\lib\site-packages (1.2.4)
Requirement already satisfied, skipping upgrade: mkl in c:\anaconda2\lib\site-packages (from cvxopt) (2018.0.0)
Requirement already satisfied, skipping upgrade: intel-openmp==2018.0.0 in c:\anaconda2\lib\site-packages (from mkl->cvxopt) (2018.0.0)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>REM Install packages needed for testing 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>pip install --upgrade xmlrunner   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: xmlrunner in c:\anaconda2\lib\site-packages (1.7.7)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>pip install --upgrade pint   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: pint in c:\anaconda2\lib\site-packages (0.9)
Requirement already satisfied, skipping upgrade: funcsigs; python_version == "2.7" in c:\anaconda2\lib\site-packages (from pint) (1.0.2)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>pip install --upgrade numpy   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: numpy in c:\anaconda2\lib\site-packages (1.16.6)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>pip install --upgrade scipy   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: scipy in c:\anaconda2\lib\site-packages (1.2.3)
Requirement already satisfied, skipping upgrade: numpy>=1.8.2 in c:\anaconda2\lib\site-packages (from scipy) (1.16.6)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>pip install --upgrade ctypesgen   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: ctypesgen in c:\anaconda2\lib\site-packages (1.0.2)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt>pip install --upgrade matplotlib   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: matplotlib in c:\anaconda2\lib\site-packages (2.2.5)
Requirement already satisfied, skipping upgrade: numpy>=1.7.1 in c:\anaconda2\lib\site-packages (from matplotlib) (1.16.6)
Requirement already satisfied, skipping upgrade: six>=1.10 in c:\anaconda2\lib\site-packages (from matplotlib) (1.12.0)
Requirement already satisfied, skipping upgrade: pytz in c:\anaconda2\lib\site-packages (from matplotlib) (2019.2)
Requirement already satisfied, skipping upgrade: python-dateutil>=2.1 in c:\anaconda2\lib\site-packages (from matplotlib) (2.8.0)
Requirement already satisfied, skipping upgrade: backports.functools-lru-cache in c:\anaconda2\lib\site-packages (from matplotlib) (1.5)
Requirement already satisfied, skipping upgrade: cycler>=0.10 in c:\anaconda2\lib\site-packages (from matplotlib) (0.10.0)
Requirement already satisfied, skipping upgrade: kiwisolver>=1.0.1 in c:\anaconda2\lib\site-packages (from matplotlib) (1.1.0)
Requirement already satisfied, skipping upgrade: pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.1 in c:\anaconda2\lib\site-packages (from matplotlib) (2.4.2)
Requirement already satisfied, skipping upgrade: setuptools in c:\users\jenkins\workspace\ce_rm_turbofan_push\cvxopt\venv2_gpkit\lib\site-packages (from kiwisolver>=1.0.1->matplotlib) (45.0.0)
ERROR: Package 'setuptools' requires a different Python: 2.7.16 not in '>=3.5'
Build step 'Conditional step (single)' marked build as failure
INFO: Starting to record.
INFO: Processing JUnit
ERROR: Step ‘Publish xUnit test result report’ failed: [JUnit] - No test report file(s) were found with the pattern '**/test_reports/*.xml' relative to 'C:\Users\jenkins\workspace\CE_RM_turbofan_Push\cvxopt' for the testing framework 'JUnit'.
Did you enter a pattern relative to (and within) the workspace directory?
Did you generate the result report(s) for 'JUnit'?"
[WS-CLEANUP] Deleting project workspace...
[WS-CLEANUP] Deferred wipeout is used...
[WS-CLEANUP] done
Finished: FAILURE